
package de.ivu.elect.was.exchange.ergebnis;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasModelP2aBulkExportExchange;
import de.ivu.elect.core.exchange.wahl.AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange;

public class DefaultNlWasModelP2aBulkExportExchange extends AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange implements NlWasModelP2aBulkExportExchange {

  @Inject
  private transient Instance<NlWasModelP2aBulkExportMapper> mappers;

  public DefaultNlWasModelP2aBulkExportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends NlWasModelP2aBulkExportMapper> getAllSupportedMapper() {
    return mappers;
  }
}
